Subject: Re: [Gen-art] Gen-ART telechat review of draft-ietf-idr-ls-distribution-10

From: Jari Arkko <[email-masked]>
Date: Thu, 15 Oct 2015 02:37:58 +0300

(belated) thanks for the review and the fixes. the document is on tomorrow’s IESG telechat and i have balloted no-objection.

jari

On 04 Jun 2015, at 19:55, Hannes Gredler <[email-masked]> wrote:

> alexey,
> 
> thanks for your comments - have incorporated them - diff is here:
> https://github.com/hannesgredler/draft-ietf-idr-ls-distribution/commit/4c5e120d9679006f553320928ba867ed9612c41f
> 
> /hannes
> 
> On Sun, May 10, 2015 at 08:51:04PM +0100, Adrian Farrel wrote:
> |    Link: [1]File-List
> |
> |    Forwarding on behalf of Alexey.
> |
> |
> |
> |    From: Alexey Melnikov [mailto:[email-masked]]
> |    Sent: 10 May 2015 17:22
> |    To: [email-masked]
> |    Subject: Fwd: [Gen-art] Gen-ART telechat review of
> |    draft-ietf-idr-ls-distribution-10
> |
> |
> |
> |    Hi Adrian,
> |    I am having some problems with the tools.ietf.org alias expansion. Can you
> |    forward to your co-editors?
> |
> |    -------- Original Message --------
> |
> |    Subject: [Gen-art] Gen-ART telechat review of
> |             draft-ietf-idr-ls-distribution-10
> |       Date: Sun, 10 May 2015 17:18:12 +0100
> |       From: Alexey Melnikov [2]<[email-masked]>
> |         To: [3][email-masked], General
> |             Area Review Team [4]<[email-masked]>
> |
> |
> |
> |  [Resending]
> |
> |
> |
> |  I am the assigned Gen-ART reviewer for this draft. For background on
> |
> |  Gen-ART, please see the FAQ at
> |
> |  [5]< http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> |
> |
> |
> |  Please wait for direction from your document shepherd
> |
> |  or AD before posting a new version of the draft.
> |
> |
> |
> |  Document: draft-ietf-idr-ls-distribution-10.txt
> |
> |  Reviewer: Alexey Melnikov
> |
> |  Review Date: 2015-05-10
> |
> |  IETF LC End Date: 2015-04-08
> |
> |  IESG Telechat date: N/A
> |
> |
> |
> |  My apologies for the late review of this document.
> |
> |
> |
> |  Summary: Ready with nits
> |
> |
> |
> |
> |
> |  Minor (but some of these might be more serious):
> |
> |
> |
> |  In 6.2.2:
> |
> |
> |
> |  If an implementation of BGP-LS detects a malformed attribute, then it
> |
> |      SHOULD use the 'Attribute Discard' action as per
> |
> |      [I-D.ietf-idr-error-handling] Section 2.
> |
> |
> |
> |  This needs to be a Normative reference. Or you can keep it as
> |
> |  Informative, if you change the sentence not to use RFC 2119 language.
> |
> |
> |
> |  In 3.3.1.1 - does this need a new IANA registry? (I am fine if you think
> |
> |  you don't).
> |
> |
> |
> |  In 3.3.1.3/3.3.2.7 - what is "subset of the FQDN"?
> |
> |
> |
> |  In 3.3.2.3:
> |
> |
> |
> |         The TE Default Metric TLV carries the TE-metric for this link.
> |
> |         The length of this TLV is fixed at 4 octets.
> |
> |
> |
> |  I am probably showing my ignorance, but is the term "TE-metric" defined
> |
> |  somewhere? The description below suggests it has substructure, which I
> |
> |  don't know anything about.
> |
> |
> |
> |          If a source protocol (e.g.
> |
> |          IS-IS) does not support a Metric width of 32 bits then the high
> |
> |          order octet MUST be set to zero.
> |
> |
> |
> |  Best Regards,
> |
> |  Alexey
> |
> |
> |
> |  _______________________________________________
> |
> |  Gen-art mailing list
> |
> |  [6][email-masked]
> |
> |  [7]https://www.ietf.org/mailman/listinfo/gen-art
> |
> |
> |
> |
> |
> | References
> |
> |    Visible links
> |    1. file:///var/folders/cf/mshm9h8557j_j4kxtypy1gx80000gn/T/cid:[email-masked]
> |    2. mailto:[email-masked]
> |    3. mailto:[email-masked]
> |    4. mailto:[email-masked]
> |    5. http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq
> |    6. mailto:[email-masked]
> |    7. https://www.ietf.org/mailman/listinfo/gen-art
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art